## r-bioc-mutationalpatterns 2.0.0

=== DESCRIPTION ===
Package: MutationalPatterns
Type: Package
Title: Comprehensive genome-wide analysis of mutational processes
Description: An extensive toolset for the characterization and visualization
    of a wide range of mutational patterns in base substitution catalogs.
Version: 2.0.0
Date: 2018-10-19
Author: Francis Blokzijl, Roel Janssen, Ruben van Boxtel, Edwin Cuppen
Maintainer: Rurika Oka <R.Oka@prinsesmaximacentrum.nl>,
 Freek Manders <F.M.Manders@prinsesmaximacentrum.nl>
License: MIT + file LICENSE
URL: https://doi.org/10.1186/s13073-018-0539-0
Imports: stats, parallel, S4Vectors, BiocGenerics (>= 0.18.0),
        VariantAnnotation (>= 1.18.1), reshape2 (>= 1.4.1), plyr (>=
        1.8.3), ggplot2 (>= 2.1.0), pracma (>= 1.8.8),
        SummarizedExperiment (>= 1.2.2), IRanges (>= 2.6.0),
        GenomeInfoDb (>= 1.12.0), Biostrings (>= 2.40.0), ggdendro (>=
        0.1-20), cowplot (>= 0.9.2)
Depends: R (>= 3.4.0), GenomicRanges (>= 1.24.0), NMF (>= 0.20.6)
Suggests: BSgenome (>= 1.40.0), BSgenome.Hsapiens.1000genomes.hs37d5
        (>= 0.99.1), BSgenome.Hsapiens.UCSC.hg19 (>= 1.4.0), BiocStyle
        (>= 2.0.3), TxDb.Hsapiens.UCSC.hg19.knownGene (>= 3.2.2),
        biomaRt (>= 2.28.0), gridExtra (>= 2.2.1), rtracklayer (>=
        1.32.2), testthat
biocViews: Genetics, SomaticMutation
ZipData: NA
LazyData: false
RoxygenNote: 6.0.1
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/MutationalPatterns
git_branch: RELEASE_3_11
git_last_commit: ad0aadd
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no
Packaged: 2020-04-28 02:52:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-mutationalpatterns (2.0.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:09:12 +0000

r-bioc-mutationalpatterns (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to skip tests requiring packages not in Debian (Closes: #961572)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 May 2020 19:12:49 +0200

r-bioc-mutationalpatterns (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 May 2020 07:56:34 +0200

r-bioc-mutationalpatterns (1.12.0-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 14:21:03 +0200

r-bioc-mutationalpatterns (1.12.0-1) unstable; urgency=medium

  * Initial release (closes: #955712)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 07:37:18 +0200

=== debian/control ===
Source: r-bioc-mutationalpatterns
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges (>= 1.24.0),
               r-cran-nmf,
               r-bioc-s4vectors,
               r-bioc-biocgenerics (>= 0.18.0),
               r-bioc-variantannotation (>= 1.18.1),
               r-cran-reshape2 (>= 1.4.1),
               r-cran-plyr (>= 1.8.3),
               r-cran-ggplot2 (>= 2.1.0),
               r-cran-pracma,
               r-bioc-summarizedexperiment,
               r-bioc-iranges (>= 2.6.0),
               r-bioc-genomeinfodb (>= 1.12.0),
               r-bioc-biostrings (>= 2.40.0),
               r-cran-ggdendro,
               r-cran-cowplot
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns.git
Homepage: https://bioconductor.org/packages/MutationalPatterns/
Rules-Requires-Root: no

Package: r-bioc-mutationalpatterns
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R comprehensive genome-wide analysis of mutational processes
 This BioConductor package provides an extensive toolset for the
 characterization and visualization of a wide range of mutational patterns
 in base substitution catalogs.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/MutationalPatterns.html .*/MutationalPatterns_(.*).tar.gz

## r-bioc-mutationalpatterns 3.0.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: r-bioc-mutationalpatterns
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
+Build-Depends: debhelper-compat (= 13),
+               dh-r (>= 20210218),
                r-base-dev,
                r-bioc-genomicranges (>= 1.24.0),
                r-cran-nmf,
                r-bioc-s4vectors,
                r-bioc-biocgenerics (>= 0.18.0),
+               r-bioc-bsgenome (>= 1.40.0),
                r-bioc-variantannotation (>= 1.18.1),
-               r-cran-reshape2 (>= 1.4.1),
-               r-cran-plyr (>= 1.8.3),
+               r-cran-dplyr (>= 0.8.3),
+               r-cran-tibble (>= 2.1.3),
+               r-cran-purrr (>= 0.3.2),
+               r-cran-tidyr (>= 1.0.0),
+               r-cran-stringr (>= 1.4.0),
+               r-cran-magrittr,
                r-cran-ggplot2 (>= 2.1.0),
                r-cran-pracma,
-               r-bioc-summarizedexperiment,
                r-bioc-iranges (>= 2.6.0),
                r-bioc-genomeinfodb (>= 1.12.0),
                r-bioc-biostrings (>= 2.40.0),
                r-cran-ggdendro,
-               r-cran-cowplot
+               r-cran-cowplot,
+               r-cran-ggalluvial
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns.git

## r-bioc-mutationalpatterns 3.0.1+dfsg

=== DESCRIPTION ===
Package: MutationalPatterns
Type: Package
Title: Comprehensive genome-wide analysis of mutational processes
Description: Mutational processes leave characteristic footprints in genomic DNA. This
    package provides a comprehensive set of flexible functions that allows
    researchers to easily evaluate and visualize a multitude of mutational patterns
    in base substitution catalogues of e.g. healthy samples, tumour samples, or
    DNA-repair deficient cells. The package covers a wide range of patterns including: mutational
    signatures, transcriptional and replicative strand bias, lesion segregation,
    genomic distribution and association with genomic features, which are
    collectively meaningful for studying the activity of mutational processes. The
    package works with single nucleotide variants (SNVs), insertions and deletions
    (Indels), double base substitutions (DBSs) and larger multi base substitutions
    (MBSs). The package provides functionalities for both extracting mutational
    signatures de novo and determining the contribution of previously identified
    mutational signatures on a single sample level. MutationalPatterns integrates
    with common R genomic analysis workflows and allows easy association with
    (publicly available) annotation data.
Version: 3.0.1
Date: 2020-10-22
Authors@R: c(
    person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
    comment = c(ORCID = "0000-0001-6197-347X")),
    person("Francis", "Blokzijl", role = "aut",
    comment = c(ORCID = "0000-0002-8084-8444")),
    person("Roel", "Janssen", role = "aut",
    comment = c(ORCID = "0000-0003-4324-5350")),
    person("Jurrian", "de Kanter", role = "ctb",
    comment = c(ORCID = "0000-0001-5665-3711")),
    person("Rurika", "Oka", email = "R.Oka@prinsesmaximacentrum.nl", role = "cre",
    comment = c(ORCID = "0000-0003-4107-7250")),
    person("Ruben", "van Boxtel", role = c("aut", "cph"),
    comment = c(ORCID = "0000-0003-1285-2836")),
    person("Edwin", "Cuppen", role = "aut",
    comment = c(ORCID = "0000-0002-0400-9542")))
License: MIT + file LICENSE
URL: https://doi.org/10.1186/s13073-018-0539-0
Imports: stats, S4Vectors, BiocGenerics (>= 0.18.0), BSgenome (>=
        1.40.0), VariantAnnotation (>= 1.18.1), dplyr (>= 0.8.3),
        tibble(>= 2.1.3), purrr (>= 0.3.2), tidyr (>= 1.0.0), stringr
        (>= 1.4.0), magrittr (>= 1.5), ggplot2 (>= 2.1.0), pracma (>=
        1.8.8), IRanges (>= 2.6.0), GenomeInfoDb (>= 1.12.0),
        Biostrings (>= 2.40.0), ggdendro (>= 0.1-20), cowplot (>=
        0.9.2), ggalluvial (>= 0.12.2)
Depends: R (>= 4.0.0), GenomicRanges (>= 1.24.0), NMF (>= 0.20.6)
Suggests: BSgenome.Hsapiens.UCSC.hg19 (>= 1.4.0), BiocStyle (>= 2.0.3),
        TxDb.Hsapiens.UCSC.hg19.knownGene (>= 3.2.2), biomaRt (>=
        2.28.0), gridExtra (>= 2.2.1), rtracklayer (>= 1.32.2), ccfindR
        (>= 1.6.0), GenomicFeatures, AnnotationDbi, testthat, knitr,
        rmarkdown
biocViews: Genetics, SomaticMutation
ZipData: NA
LazyData: false
RoxygenNote: 7.1.0
Encoding: UTF-8
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/MutationalPatterns
git_branch: RELEASE_3_12
git_last_commit: 72983a7
git_last_commit_date: 2020-11-12
Date/Publication: 2020-11-12
NeedsCompilation: no
Packaged: 2020-11-13 02:11:54 UTC; biocbuild
Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
  Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
  Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),
  Jurrian de Kanter [ctb] (<https://orcid.org/0000-0001-5665-3711>),
  Rurika Oka [cre] (<https://orcid.org/0000-0003-4107-7250>),
  Ruben van Boxtel [aut, cph] (<https://orcid.org/0000-0003-1285-2836>),
  Edwin Cuppen [aut] (<https://orcid.org/0000-0002-0400-9542>)
Maintainer: Rurika Oka <R.Oka@prinsesmaximacentrum.nl>

=== debian/changelog ===
r-bioc-mutationalpatterns (3.0.1+dfsg-2) unstable; urgency=medium

  * Add hook to deal with unavailable BioC packages in test
    Closes: #983027

 -- Andreas Tille <tille@debian.org>  Thu, 18 Feb 2021 21:47:47 +0100

r-bioc-mutationalpatterns (3.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Nov 2020 11:12:33 +0100

r-bioc-mutationalpatterns (3.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Delete patch that does not apply.  Autopkgtest is deactivated anyway.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2020 18:24:24 +0100

## r-bioc-mutationalpatterns 3.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,8 +16,8 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.0.1
-Date: 2020-10-22
+Version: 3.4.0
+Date: 2021-10-13
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
     comment = c(ORCID = "0000-0001-6197-347X")),
@@ -27,8 +27,9 @@
     comment = c(ORCID = "0000-0003-4324-5350")),
     person("Jurrian", "de Kanter", role = "ctb",
     comment = c(ORCID = "0000-0001-5665-3711")),
-    person("Rurika", "Oka", email = "R.Oka@prinsesmaximacentrum.nl", role = "cre",
+    person("Rurika", "Oka", role = "ctb",
     comment = c(ORCID = "0000-0003-4107-7250")),
+    person("Mark", "van Roosmalen", email = "M.J.vanRoosmalen-3@prinsesmaximacentrum.nl", role = "cre"),
     person("Ruben", "van Boxtel", role = c("aut", "cph"),
     comment = c(ORCID = "0000-0003-1285-2836")),
     person("Edwin", "Cuppen", role = "aut",
@@ -41,8 +42,8 @@
         (>= 1.4.0), magrittr (>= 1.5), ggplot2 (>= 2.1.0), pracma (>=
         1.8.8), IRanges (>= 2.6.0), GenomeInfoDb (>= 1.12.0),
         Biostrings (>= 2.40.0), ggdendro (>= 0.1-20), cowplot (>=
-        0.9.2), ggalluvial (>= 0.12.2)
-Depends: R (>= 4.0.0), GenomicRanges (>= 1.24.0), NMF (>= 0.20.6)
+        0.9.2), ggalluvial (>= 0.12.2), RColorBrewer, methods
+Depends: R (>= 4.1.0), GenomicRanges (>= 1.24.0), NMF (>= 0.20.6)
 Suggests: BSgenome.Hsapiens.UCSC.hg19 (>= 1.4.0), BiocStyle (>= 2.0.3),
         TxDb.Hsapiens.UCSC.hg19.knownGene (>= 3.2.2), biomaRt (>=
         2.28.0), gridExtra (>= 2.2.1), rtracklayer (>= 1.32.2), ccfindR
@@ -50,22 +51,22 @@
         rmarkdown
 biocViews: Genetics, SomaticMutation
 ZipData: NA
-LazyData: false
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_12
-git_last_commit: 72983a7
-git_last_commit_date: 2020-11-12
-Date/Publication: 2020-11-12
+git_branch: RELEASE_3_14
+git_last_commit: eced82e
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-11-13 02:11:54 UTC; biocbuild
+Packaged: 2021-10-26 22:14:31 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),
   Jurrian de Kanter [ctb] (<https://orcid.org/0000-0001-5665-3711>),
-  Rurika Oka [cre] (<https://orcid.org/0000-0003-4107-7250>),
+  Rurika Oka [ctb] (<https://orcid.org/0000-0003-4107-7250>),
+  Mark van Roosmalen [cre],
   Ruben van Boxtel [aut, cph] (<https://orcid.org/0000-0003-1285-2836>),
   Edwin Cuppen [aut] (<https://orcid.org/0000-0002-0400-9542>)
-Maintainer: Rurika Oka <R.Oka@prinsesmaximacentrum.nl>
+Maintainer: Mark van Roosmalen <M.J.vanRoosmalen-3@prinsesmaximacentrum.nl>

=== debian/changelog ===
r-bioc-mutationalpatterns (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 14:12:34 +0100

r-bioc-mutationalpatterns (3.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 14 Sep 2021 18:02:12 +0530

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,28 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r (>= 20210218),
                r-base-dev,
-               r-bioc-genomicranges (>= 1.24.0),
+               r-bioc-genomicranges,
                r-cran-nmf,
                r-bioc-s4vectors,
-               r-bioc-biocgenerics (>= 0.18.0),
-               r-bioc-bsgenome (>= 1.40.0),
-               r-bioc-variantannotation (>= 1.18.1),
+               r-bioc-biocgenerics,
+               r-bioc-bsgenome,
+               r-bioc-variantannotation,
                r-cran-dplyr (>= 0.8.3),
                r-cran-tibble (>= 2.1.3),
                r-cran-purrr (>= 0.3.2),
                r-cran-tidyr (>= 1.0.0),
-               r-cran-stringr (>= 1.4.0),
+               r-cran-stringr,
                r-cran-magrittr,
-               r-cran-ggplot2 (>= 2.1.0),
+               r-cran-ggplot2,
                r-cran-pracma,
-               r-bioc-iranges (>= 2.6.0),
-               r-bioc-genomeinfodb (>= 1.12.0),
-               r-bioc-biostrings (>= 2.40.0),
+               r-bioc-iranges,
+               r-bioc-genomeinfodb,
+               r-bioc-biostrings,
                r-cran-ggdendro,
                r-cran-cowplot,
-               r-cran-ggalluvial
-Standards-Version: 4.5.0
+               r-cran-ggalluvial,
+               r-cran-rcolorbrewer
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns.git
 Homepage: https://bioconductor.org/packages/MutationalPatterns/

## r-bioc-mutationalpatterns 3.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,8 +16,8 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.4.0
-Date: 2021-10-13
+Version: 3.6.0
+Date: 2022-03-04
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
     comment = c(ORCID = "0000-0001-6197-347X")),
@@ -35,7 +35,7 @@
     person("Edwin", "Cuppen", role = "aut",
     comment = c(ORCID = "0000-0002-0400-9542")))
 License: MIT + file LICENSE
-URL: https://doi.org/10.1186/s13073-018-0539-0
+URL: https://doi.org/doi:10.1186/s12864-022-08357-3
 Imports: stats, S4Vectors, BiocGenerics (>= 0.18.0), BSgenome (>=
         1.40.0), VariantAnnotation (>= 1.18.1), dplyr (>= 0.8.3),
         tibble(>= 2.1.3), purrr (>= 0.3.2), tidyr (>= 1.0.0), stringr
@@ -43,7 +43,7 @@
         1.8.8), IRanges (>= 2.6.0), GenomeInfoDb (>= 1.12.0),
         Biostrings (>= 2.40.0), ggdendro (>= 0.1-20), cowplot (>=
         0.9.2), ggalluvial (>= 0.12.2), RColorBrewer, methods
-Depends: R (>= 4.1.0), GenomicRanges (>= 1.24.0), NMF (>= 0.20.6)
+Depends: R (>= 4.2.0), GenomicRanges (>= 1.24.0), NMF (>= 0.20.6)
 Suggests: BSgenome.Hsapiens.UCSC.hg19 (>= 1.4.0), BiocStyle (>= 2.0.3),
         TxDb.Hsapiens.UCSC.hg19.knownGene (>= 3.2.2), biomaRt (>=
         2.28.0), gridExtra (>= 2.2.1), rtracklayer (>= 1.32.2), ccfindR
@@ -55,12 +55,12 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_14
-git_last_commit: eced82e
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 4908f42
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 22:14:31 UTC; biocbuild
+Packaged: 2022-04-26 21:30:18 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),

=== debian/changelog ===
r-bioc-mutationalpatterns (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 07:41:54 +0200

r-bioc-mutationalpatterns (3.4.1+dfsg-2) unstable; urgency=medium

  * Add autopkgtest-pkg-r.conf
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 12:11:16 +0100

r-bioc-mutationalpatterns (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 06:58:42 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                r-cran-cowplot,
                r-cran-ggalluvial,
                r-cran-rcolorbrewer
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns.git
 Homepage: https://bioconductor.org/packages/MutationalPatterns/

## r-bioc-mutationalpatterns 3.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.6.0
+Version: 3.8.0
 Date: 2022-03-04
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
@@ -55,12 +55,12 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_15
-git_last_commit: 4908f42
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 98155a5
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:30:18 UTC; biocbuild
+Packaged: 2022-11-01 22:23:50 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),

## r-bioc-mutationalpatterns 3.8.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,8 +16,8 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.8.0
-Date: 2022-03-04
+Version: 3.8.1
+Date: 2023-01-11
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
     comment = c(ORCID = "0000-0001-6197-347X")),
@@ -29,7 +29,7 @@
     comment = c(ORCID = "0000-0001-5665-3711")),
     person("Rurika", "Oka", role = "ctb",
     comment = c(ORCID = "0000-0003-4107-7250")),
-    person("Mark", "van Roosmalen", email = "M.J.vanRoosmalen-3@prinsesmaximacentrum.nl", role = "cre"),
+    person("Mark", "van Roosmalen", email = "vanBoxtelBioinformatics@prinsesmaximacentrum.nl", role = "cre"),
     person("Ruben", "van Boxtel", role = c("aut", "cph"),
     comment = c(ORCID = "0000-0003-1285-2836")),
     person("Edwin", "Cuppen", role = "aut",
@@ -56,11 +56,11 @@
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
 git_branch: RELEASE_3_16
-git_last_commit: 98155a5
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_last_commit: b3e71ed
+git_last_commit_date: 2023-01-26
+Date/Publication: 2023-01-26
 NeedsCompilation: no
-Packaged: 2022-11-01 22:23:50 UTC; biocbuild
+Packaged: 2023-01-26 22:27:03 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),
@@ -69,4 +69,4 @@
   Mark van Roosmalen [cre],
   Ruben van Boxtel [aut, cph] (<https://orcid.org/0000-0003-1285-2836>),
   Edwin Cuppen [aut] (<https://orcid.org/0000-0002-0400-9542>)
-Maintainer: Mark van Roosmalen <M.J.vanRoosmalen-3@prinsesmaximacentrum.nl>
+Maintainer: Mark van Roosmalen <vanBoxtelBioinformatics@prinsesmaximacentrum.nl>

=== debian/changelog ===
r-bioc-mutationalpatterns (3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 31 Jan 2023 15:02:55 +0100

r-bioc-mutationalpatterns (3.8.0+dfsg-2) unstable; urgency=medium

  * Fix test suite issue to work with upgraded stringr

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 11:27:04 +0100

r-bioc-mutationalpatterns (3.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:36:18 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                r-cran-cowplot,
                r-cran-ggalluvial,
                r-cran-rcolorbrewer
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns.git
 Homepage: https://bioconductor.org/packages/MutationalPatterns/

## r-bioc-mutationalpatterns 3.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.8.1
+Version: 3.10.0
 Date: 2023-01-11
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
@@ -55,12 +55,12 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_16
-git_last_commit: b3e71ed
-git_last_commit_date: 2023-01-26
-Date/Publication: 2023-01-26
+git_branch: RELEASE_3_17
+git_last_commit: 1ee8048
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2023-01-26 22:27:03 UTC; biocbuild
+Packaged: 2023-04-25 22:06:03 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),

=== debian/changelog ===
r-bioc-mutationalpatterns (3.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 21:52:37 +0200

## r-bioc-mutationalpatterns 3.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.10.0
+Version: 3.12.0
 Date: 2023-01-11
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
@@ -55,12 +55,12 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_17
-git_last_commit: 1ee8048
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 072c251
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 22:06:03 UTC; biocbuild
+Packaged: 2023-10-24 22:18:47 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),

=== debian/changelog ===
r-bioc-mutationalpatterns (3.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 11:44:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-r (>= 20210218),
+               dh-r,
                r-base-dev,
                r-bioc-genomicranges,
                r-cran-nmf,
@@ -13,10 +13,10 @@
                r-bioc-biocgenerics,
                r-bioc-bsgenome,
                r-bioc-variantannotation,
-               r-cran-dplyr (>= 0.8.3),
-               r-cran-tibble (>= 2.1.3),
-               r-cran-purrr (>= 0.3.2),
-               r-cran-tidyr (>= 1.0.0),
+               r-cran-dplyr,
+               r-cran-tibble,
+               r-cran-purrr,
+               r-cran-tidyr,
                r-cran-stringr,
                r-cran-magrittr,
                r-cran-ggplot2,

## r-bioc-mutationalpatterns 3.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,8 +16,8 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.12.0
-Date: 2023-01-11
+Version: 3.14.0
+Date: 2024-04-05
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
     comment = c(ORCID = "0000-0001-6197-347X")),
@@ -55,12 +55,13 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_18
-git_last_commit: 072c251
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 268518e
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:18:47 UTC; biocbuild
+Packaged: 2024-05-01 05:05:44 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),

=== debian/changelog ===
r-bioc-mutationalpatterns (3.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:37:59 +0200

r-bioc-mutationalpatterns (3.14.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 14:19:34 +0200

r-bioc-mutationalpatterns (3.14.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version. Closes: #1070842
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Jul 2024 13:42:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-genomicranges,
+               r-bioc-genomicranges (>= 1.56.1),
                r-cran-nmf,
-               r-bioc-s4vectors,
-               r-bioc-biocgenerics,
-               r-bioc-bsgenome,
-               r-bioc-variantannotation,
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-bsgenome (>= 1.72.0),
+               r-bioc-variantannotation (>= 1.50.0),
                r-cran-dplyr,
                r-cran-tibble,
                r-cran-purrr,
@@ -21,9 +21,9 @@
                r-cran-magrittr,
                r-cran-ggplot2,
                r-cran-pracma,
-               r-bioc-iranges,
-               r-bioc-genomeinfodb,
-               r-bioc-biostrings,
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-genomeinfodb (>= 1.40.1),
+               r-bioc-biostrings (>= 2.72.1),
                r-cran-ggdendro,
                r-cran-cowplot,
                r-cran-ggalluvial,
@@ -37,9 +37,23 @@
 Package: r-bioc-mutationalpatterns
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-bsgenome (>= 1.72.0),
+         r-bioc-variantannotation (>= 1.50.0),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-genomeinfodb (>= 1.40.1),
+         r-bioc-biostrings (>= 2.72.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-biomart (>= 2.60.1),
+          r-cran-gridextra (>= 2.2.1),
+          r-bioc-rtracklayer (>= 1.64.0),
+          r-bioc-genomicfeatures (>= 1.56.0),
+          r-bioc-annotationdbi (>= 1.66.0)
 Description: GNU R comprehensive genome-wide analysis of mutational processes
  This BioConductor package provides an extensive toolset for the
  characterization and visualization of a wide range of mutational patterns

## r-bioc-mutationalpatterns 3.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -16,7 +16,7 @@
     mutational signatures on a single sample level. MutationalPatterns integrates
     with common R genomic analysis workflows and allows easy association with
     (publicly available) annotation data.
-Version: 3.14.0
+Version: 3.16.0
 Date: 2024-04-05
 Authors@R: c(
     person("Freek", "Manders", email = "F.M.Manders@prinsesmaximacentrum.nl", role = c("aut"), 
@@ -55,13 +55,13 @@
 Encoding: UTF-8
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/MutationalPatterns
-git_branch: RELEASE_3_19
-git_last_commit: 268518e
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 2e812c5
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:05:44 UTC; biocbuild
+Packaged: 2024-10-30 01:59:18 UTC; biocbuild
 Author: Freek Manders [aut] (<https://orcid.org/0000-0001-6197-347X>),
   Francis Blokzijl [aut] (<https://orcid.org/0000-0002-8084-8444>),
   Roel Janssen [aut] (<https://orcid.org/0000-0003-4324-5350>),

=== debian/changelog ===
r-bioc-mutationalpatterns (3.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:48:43 +0100

r-bioc-mutationalpatterns (3.16.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 23:16:10 +0100

=== debian/control ===
Source: r-bioc-mutationalpatterns
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomicranges,
               r-cran-nmf,
               r-bioc-s4vectors,
               r-bioc-biocgenerics,
               r-bioc-bsgenome,
               r-bioc-variantannotation,
               r-cran-dplyr,
               r-cran-tibble,
               r-cran-purrr,
               r-cran-tidyr,
               r-cran-stringr,
               r-cran-magrittr,
               r-cran-ggplot2,
               r-cran-pracma,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-biostrings,
               r-cran-ggdendro,
               r-cran-cowplot,
               r-cran-ggalluvial,
               r-cran-rcolorbrewer
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-mutationalpatterns.git
Homepage: https://bioconductor.org/packages/MutationalPatterns/
Rules-Requires-Root: no

Package: r-bioc-mutationalpatterns
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R comprehensive genome-wide analysis of mutational processes
 This BioConductor package provides an extensive toolset for the
 characterization and visualization of a wide range of mutational patterns
 in base substitution catalogs.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/MutationalPatterns.html .*/MutationalPatterns_(.*).tar.gz
